Foxit PDF SDK

Public Types | Public Member Functions | Public Attributes | List of all members
foxit::addon::compliance::FixupData Class Reference

Inherits Object.

## Public Types
enum | FixupState { e_FixupStateSuccess = 0, e_FixupStateFailure = 1, e_FixupStateNotRequired = 2 }
| Enumeration for the state of a fixup data. More...

## Public Member Functions
| FixupData ()
| Constructor.
| FixupData (const FixupData &other)
| Constructor, with another fixup data object. More...
bool | operator!= (const FixupData &other) const
| Not equal operator. More...
FixupData & | operator= (const FixupData &other)
| Assign operator. More...
bool | operator== (const FixupData &other) const
| Equal operator. More...

## Public Attributes
WString | comment
| Fixup rule comment to explain more details about the rule.
WString | name
| Fixup rule name.
WStringArray | reasons
| Fixup reasons. This may be an empty array. The count of reasons will not exceed used_times.
FixupState | state
| Fixup state. Please refer to values starting from FixupData::e_FixupStateSuccess and this should be one of these values.
uint32 | used_count
| Represents the count of fixup operation invocations for current data during the conversion.

## Detailed Description

This class represents a fixup data. Fixup data represents the data for a kind of fixup operation triggered during converting process.

## Member Enumeration Documentation

## ◆ FixupState

enum foxit::addon::compliance::FixupData::FixupState

Enumeration for the state of a fixup data.

Values of this enumeration should be used alone.

Enumerator
e_FixupStateSuccess | A fixup succeeded.
e_FixupStateFailure | A fixup failed.
e_FixupStateNotRequired | A fixup was not required.

## Constructor & Destructor Documentation

## ◆ FixupData()

foxit::addon::compliance::FixupData::FixupData | ( | const FixupData & | other | ) |
| inline

Constructor, with another fixup data object.

Parameters

  [in] | other | Another fixup data object.

## Member Function Documentation

## ◆ operator!=()

bool foxit::addon::compliance::FixupData::operator!= | ( | const FixupData & | other | ) | const
| inline

Not equal operator.

Parameters

  [in] | other | Another fixup data object. This function will check if current object is not equal to this one.

Returns
  true means not equal, while false means equal.

## ◆ operator=()

FixupData& foxit::addon::compliance::FixupData::operator= | ( | const FixupData & | other | ) |
| inline

Assign operator.

Parameters

  [in] | other | Another fixup data object, whose value would be assigned to current object.

Returns
  Reference to current object itself.

## ◆ operator==()

bool foxit::addon::compliance::FixupData::operator== | ( | const FixupData & | other | ) | const
| inline

Equal operator.

Parameters

  [in] | other | Another fixup data object. This function will check if current object is equal to this one.

Returns
  true means equal, while false means not equal.